Skip to main content
GET
/
gifts
/
catalog
/
{appId}
cURL
curl --request GET \
  --url https://api.steamgold.dev/v1/gifts/catalog/{appId} \
  --header 'Authorization: Bearer <token>'
{
  "appId": 123,
  "slug": "<string>",
  "title": "<string>",
  "headerImage": "<string>",
  "shortDescription": "<string>",
  "genres": [
    "<string>"
  ],
  "isDlc": true,
  "editions": [
    {
      "edition": "<string>",
      "packageId": 123,
      "regions": [
        {
          "region": "US",
          "paymentAmount": 123,
          "paymentCurrency": "RUB",
          "paymentAmountFull": 123,
          "discountPercent": 123
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appId
integer
required

Идентификатор приложения Steam

Response

Информация об игре

appId
integer

Идентификатор приложения Steam

slug
string

Уникальный идентификатор игры (например, steam-730)

title
string

Название игры

headerImage
string

URL обложки игры

shortDescription
string

Краткое описание игры

genres
string[]

Жанры игры

isDlc
boolean

Флаг — является ли игра DLC

editions
object[]

Список доступных изданий игры